@import url('https://fonts.googleapis.com/css2?family=Almendra:ital,wght@0,400;0,700;1,400;1,700&family=Bebas+Neue&display=swap');


:root {
    box-sizing: border-box;
}

* {
    box-sizing: inherit;
}

body {
    font-family: Almendra, Verdana, Geneva, Tahoma, sans-serif;
    color: black;
    font-size: 1rem;
}

.accessibility {
    position: absolute;
    left: -15000px;
}

html{scroll-behavior:smooth}

/* Main header Hana Martinelli */ 
#mainHeader {
    height: 40px;
    width: 100%;
    position: absolute;
    top: 0;
    display: grid;
    grid-template-columns: 1fr 40px;
    background-color: white;
}
#mainHeader > h1 {
    color: var(--white);
    font-family: Almendra, Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1.5em;
    font-weight: normal;
    display: flex;
    align-items: center;
    height: 40px;
    margin: 5px;
    padding-left:10px; 
}
#mainHeader > h1 > a {
    color: black;
    text-decoration: none;
    font-weight: bold;
}

/* Main Nav */
#mainNav {
    background-color: white;
    position: absolute;
    width: 100%;
    top: 40px;
    padding-bottom: 10px;
    padding-right : 10px; 
    display: none;
    justify-content:space-around;
    align-items: flex-end;
    z-index:1; 
}
#mainNav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
}
#mainNav a{
    color: black;
    text-decoration: none;
    font-family: Almendra, Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1.2em;
    display: block;
    text-align: right; 
}
#mainNav a:hover{
    font-weight: bold;
}
#mainNav a:active {
    text-decoration:underline;
}

/*Bouton menu*/ 
#menuToggle {
    background-color: white;
    border: none;
}
#menuToggle > img{
    width: 50px;
    height: 50px;
    margin-left:-30px;
}

/*icone Insta fin de la nav*/ 
.iconeInsta {
    width: 25px;
    height:auto;
    display : flex;
    margin-left: 95%; 
}

#pageContent {
    padding: 20px 20px;
    min-height: 100vh;
}
main {
    padding: 20px;
}

/*page index diapo */ 
#mainDiapo {
    width: 100%;
    margin:auto; 
}    
.diapo {
    position: relative;
    overflow: hidden;
    top: 200px; 
}
.navArrow {
    position: absolute;
    left: -9999px;
}
.elements{
    display: flex; 
    transition: 1s linear;
    }
.element{
    flex: 1 0 100%;
    position: relative;
}
.element > img{
    width: 100%; 
}

/*gif dent works */ 
#gifContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color:hsl(135, 53%, 93%, 0.9);;
    z-index: 1000;
}
#gifContainer img {
    max-width: 100%;
    max-height: 100%;
}

/* page works grande gallerie */ 
#pageContent.galleries ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: grid;
 }
#pageContent.galleries ul li{
    background-color: white;
    padding: 10px;
}
#pageContent.galleries ul li:hover{
    background-color: #e2f6e7;
}
#pageContent.galleries ul li a{
    color: black;
    text-decoration: none;
    
}
#pageContent.galleries ul li a img {
    max-width: 100%;
}
#pageContent.galleries ul li a h2{
    font-weight: lighter;
    font-size: 1em;
}

/*page individuelle pour chaque pièce */ 
#leftInfo {
    text-align: justify; 
    display: block;
    width:95%;
    padding-left:10%; 
}
#pageContent.infoPhoto #rightPhoto img {
    position: absolute;
    left: -15000px;
    max-width: 80%;
}

  /*IMAGE MODAL PLUSIEURS IMAGES */ 
  .firstImg {
    display: flex;
    justify-content: center; /* Center the single image */
    overflow: hidden; /* Empêche l'image d'aller au-delà du conteneur */
}

.thumbnail {
    width: 80%;
    max-width:800px; 
    cursor: pointer;
    padding-top: 50px; 
    transition: transform 0.3s ease, opacity 0.3s ease; /* Ajoute une transition pour zoomer */
}

.thumbnail:hover {
    transform: scale(1.1); /* Agrandit l'image de 10% au survol */
    opacity: 0.8; 
}

.xModal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 20px; /* Location of the box */
    padding-bottom:20px; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(12, 12, 12, 0.7); /* Fallback color */
    background-color:  rgba(8, 8, 8, 0.9); /* Black w/ opacity */
}
.xmodalContent {
    position: relative;
    margin: auto;
    padding: 0;
    width: 90%;
    max-width: 1000px;
}
  /* Add Animation - Zoom in the Modal */
  .xmodalContent{
    animation-name: zoom;
    animation-duration: 0.6s;
  }
  @keyframes zoom {
    from {transform:scale(0)}
    to {transform:scale(1)}
  }

.mySlides {
    display: none;
}
.mySlides img {
    width: 100%;
    display:block; 
    margin:auto;
}

.prevModal, .nextModal {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 10px;
    margin-top: -22px;
    color: #D3D3D3;
    font-weight: bold;
    font-size: 20px;
    transition: 0.6s ease;
    border-radius: 20px;
    border:1px solid black; 
    user-select: none;
}
.nextModal {
    right: 0;
    border-radius: 20px;
}
.prevModal:hover, .nextModal:hover {
    background-color: #F8F8FF;
}
.numbertext {
    color: #D3D3D3;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    bottom: 0;
    right: 0; 
}
/* The Close Button */
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #D3D3D3;
    font-size: 30px;
    transition: 0.3s;
    z-index: 1; 
}
  .close:hover,
  .close:focus {
    color: lavender;
    text-decoration: none;
    cursor: pointer;
  }
.numberImage {
    text-align: center; 
}

/*les flèches pour visualiser pièces avant après*/ 
.prevNext {
    flex: 1;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 20px;
}

.prevNext a {
    text-decoration: none;
    font-size: 0.3em;
    color: black; 
}
.prevNext #prev {
    border: 1px solid black;
    display:flex; 
    position: relative;
    padding:5px; 
    width: 20%;
}
.prevNext #prev img {
    width:100%;
    height:auto;
    object-fit: cover; 
}
.prevNext #next {
    border: 1px solid black;
    display:flex;
    position: relative; 
    justify-content: right;
    text-align: right;
    padding:5px; 
    width:20%;
}
.prevNext #next img {
    width:100%;
    height:auto;
    object-fit: cover; 
} 

.navigation {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.nav-btn {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border: none;
    color: white;
    transition: background-color 0.3s;
}

.nav-btn:hover {
    background-color: #e2f6e7;
}


/*page News actualité */ 
#pageContent.actu{
    padding:10px; 
    margin-top: 40px; 
}
#pageContent.actu h1 {
    text-align: center;
    text-decoration: underline solid black;
}
#pageContent.actu article {
    display: grid; 
    padding: 25px; 
    margin: 20px; 
    background-color: #e2f6e7;
}
#pageContent.actu #leftImage img {
    max-width: 100%;
    align-content: center;
}
#pageContent.actu #rightInfo p  {
    max-width: 100%;
    text-align: justify;
}
#pageContent.actu #rightInfo a {
    text-decoration: none;
    text-align: center;
    color: black;
    font-family: Almendra, Verdana, Geneva, Tahoma, sans-serif;
    padding: 5px;
    border: 1px solid black; 
    border-radius: 20px; 
    background-color: transparent;
}
#pageContent.actu #rightInfo a:hover {
    border: none; 
    background-color: white;
}

/*page news les archives */ 
#pageContent.archi h1 {
    text-align: center;
    text-decoration: underline solid black;
}
#pageContent.archi h2 {
    padding-top: 50px; 
}
#pageContent.archi article {
    display: grid; 
    padding: 25px; 
    margin: 20px; 
    background-color: #e2f6e7;
}
#pageContent.archi #leftImage img {
    max-width: 100%;
    align-content: center;
}
#pageContent.archi #rightInfo p  {
    max-width: 100%;
    text-align: justify;
}
#pageContent.archi #rightInfo button {
    border-radius: 20px;
    background-color: transparent;
}
#pageContent.archi ul {
    list-style-type: none;
}
#pageContent.archi ul li {
   margin:20px; 
}
#pageContent.archi ul a{
    text-align: center;
    color: black;
    text-decoration: none;
    font-family: Almendra, Verdana, Geneva, Tahoma, sans-serif;
    font-size: 0.8; 
    padding: 5px;
    border: 1px solid black; 
    border-radius: 20px; 
}
#pageContent.archi ul a:hover{
    background-color: #e2f6e7;
    border:none; 
}
#pageContent.archi #rightInfo a {
    text-decoration: none;
    text-align: center;
    color: black;
    font-family: Almendra, Verdana, Geneva, Tahoma, sans-serif;
    padding: 5px;
    border: 1px solid black; 
    border-radius: 20px; 
    background-color: transparent;
}
#pageContent.archi #rightInfo a:hover {
    border: none; 
    background-color: white;
}

/* news - détail de chaque article */ 
#pageContent.detailNews {
    display: grid;
    margin:40px 10px 50px 10px; 
}
#pageContent.detailNews #leftPhoto img {
    max-width: 100%;
    padding-bottom: 10px; 
}
#pageContent.detailNews #rightText {
    text-align:justify; 
    padding-right:20px; 
    padding-left:20px; 
}
#pageContent.detailNews ul {
    justify-content: center; 
    line-height: 1.5em;
    padding: 5px; 
    list-style-type: none;
}

#pageContent.detailNews button {
    border: none;
    background-color: transparent;
    margin:10px; 
}
#pageContent.detailNews button a:hover{
    background-color: #e2f6e7;
    border:none; 
}
#pageContent.detailNews a {
    text-decoration: none;
    text-align: center;
    color: black;
    font-family: Almendra, Verdana, Geneva, Tahoma, sans-serif;
    padding: 5px;
    border: 1px solid black; 
    border-radius: 20px; 
    background-color: transparent;
}
#pageContent.detailNews a:hover {
    border: none; 
    background-color: white;
}


/* bio */ 
#pageContent.bio {
    display: grid;
}
#pageContent.bio #leftCol img {
    max-width: 100%;
    margin-top: 20px 
}
#pageContent.bio #rightCol #bio {
    padding: 10px 10px; 
    text-align: justify; 
}
#pageContent.bio #rightCol #cv {
    text-align: justify; 
}
#pageContent.bio #rightCol #cv div {
    padding-bottom: 10px;
}
#pageContent.bio #rightCol #cv li {
    line-height: 1.3em;
    padding: 5px; 
}

/* portfolio */ 
#pageContent.portfolio {
    display: flex;
    align-items: center;
    justify-content: center;
}
#pageContent.portfolio img {
   max-width: 100%;
}
#pageContent.portfolio button {
    background-color: whitesmoke; 
    border: none;
    margin-top: 10px;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    border-radius: 20px;
    margin-left: auto; 
    margin-right: auto; 
    align-items: center;
    justify-content: center;
    display: flex;
}
#pageContent.portfolio a {
    text-decoration: none;
    color: black;
    font-size: 1em;
}
#pageContent.portfolio button:hover{
    background-color:#e2f6e7; 
    border:1px solid black; 
}

/*page formulaire contact*/ 

#pageContent.contact {
    display: grid; 
}
#leftInfor {
    display: flex;
    flex-direction: column; /* Empile chaque contact-item verticalement */
    gap: 20px; /* Espace entre les éléments */
    padding : 70px 0px 50px 20px ; 
}

.contactItem {
    display: flex; /* Appliquer flexbox pour aligner l'image et le texte */
    flex-direction: row;
    align-items: center; /* Centrer verticalement l'icône avec le texte */
    gap: 15px; /* Espace entre l'icône et le texte */
}

/* Optionnel : ajuster la taille des images pour les rendre plus petites */
.contactItem img {
    width: 50px; /* Ajustez selon vos besoins */
    height: auto;
}

/* Vous pouvez ajuster la largeur de l'élément contenant l'information */
.info {
    display: flex;
    flex-direction: column; /* Le texte s'empile verticalement */
    line-height: 0em;
}


*/ formulaire */ 
#pageContent.contact #rightFrm {
    display: grid;
}
#pageContent.contact #rightFrm {
    background-color: #e2f6e7;
    border-radius: 5px;
    padding: 20px; 
}

#pageContent.contact #rightFrm h1 {
    font-size: 1.7em;
}
#pageContent.contact #rightFrm form > div > div {
    margin: 20px 0; 
    display: flex;
    flex-direction: column;
}
#pageContent.contact #rightFrm form label {
    margin-bottom: 5px;
    font-size: 0.8em;
}
#pageContent.contact #rightFrm form textarea {
    height: 150px;
    resize: none;
}
#pageContent.contact #rightFrm form button{
    padding: 10px;
    border: 1px solid black;
    background-color: white;
    color: black;
    margin-top: 30px;
    margin-left: auto; 
    margin-right: auto; 
    align-items: center;
    justify-content: center;
    display: flex;
} 

#pageContent.contact #rightFrm form .invalid {
    border: 2px solid red;
}
#pageContent.contact #rightFrm form .msg {
    color: red;
    font-size: 0.9em;
    margin-top: 0.5em;
}


#pageContent.contact #rightFrm form button:hover {
    font-weight: bold;
}
#pageContent.contact #rightFrm form button:active {
    font-weight: bold;
}

*/ merci */ 
#pageContent.merciText {
    text-align:center;  
}
#pageContent.merciText main {
    text-align:center;  
    border: 2px dashed black; 
    margin: 40px auto; 
}

.flecheHaut {
    display: none;
}


footer {
    display: flex;
    justify-content: space-between;
    padding: 0px 20px 5px 20px;
  }
  
  .fLeft {
    font-size: 10px;
  }
  
  .fRight {
    font-size: 8px;
    text-align: right;
    
  }
  .fRight a {
    color: black;
  }


@media only screen and (min-width: 769px){
    #menuToggle {
        display: none;
    }
    #mainHeader {
        grid-template-columns: 1fr 40px;
    }
    #mainNav{
        position: static;
        background-color: transparent;
        display: block !important;
    }
    #mainNav ul{
        flex-direction: row;
        justify-content: flex-end;
        height: 40px;
        align-items: center;
    }
    #mainNav a{
        font-size: 1.2em;
        padding: 0 10px;
    }
    .iconeInsta {
        width: 25px;
        margin-left: 0%; 
    }

    #mainDiapo {
        display: block;
        width: 80%;
        margin:auto; 
    }
    .diapo {
        position: relative;
        overflow: hidden;
        top: 40px; 
    }

    #pageContent.galleries ul{
        grid-template-columns: repeat(2, 1fr);
    }
    #vertical {
        width: 50%;
        display:block; 
        margin:auto;
    }
    .vertic {
        max-width: 70%; 
        height: auto;
        display:block; 
        margin:auto;
    }

    #pageContent.actu article {
        grid-template-columns: 1fr 1fr;
    }
    #pageContent.actu article #rightInfo {
        margin: 0px 0px 0px 20px; 
    }
    #pageContent.archi ul {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    justify-content: center; 
    }
    #pageContent.archi article {
     grid-template-columns: 1fr 1fr;
    }
    #pageContent.archi article #rightInfo {
        margin: 0px 0px 0px 20px; 
    }
    #pageContent.detailNews {
        grid-template-columns: 1fr 1fr;
    }
    .prevNext #prev{
        width:15%;
    }
    .prevNext #next{
        width:15%;
    }
    .prevNext a {
        font-size: 0.5em;
    }
    .flecheHaut {
        width: 20px;
        float: right; 
        z-index: 2;
        display: block; 
    }
}

@media only screen and (min-width: 1024px){
    #mainHeader {
        grid-template-columns: repeat(2, 1fr);
    }
    #mainHeader > h1 {
        font-size: 1.5em;
    }

    #mainDiapo {
        display: block;
        width: 60%;
        margin:auto; 
    }
    .diapo {
        position: relative;
        overflow: hidden;
        top: 40px; 
    }

    #pageContent.galleries ul{
        grid-template-columns: repeat(3, 1fr);
    }
    .mySlides img {
        width: 85%;
        display:block; 
        margin:auto;
    }
    #vertical {
        width: 45%;
        display:block; 
        margin:auto;
    }
    #pageContent.actu #rightInfo {
        padding-left:40px; 
        padding-right:40px; 
    }
    #pageContent.archi #rightInfo {
        padding-left:40px; 
        padding-right:40px; 
    }
    #pageContent.bio {
        grid-template-columns: 1fr 1fr;
    }
    #pageContent.contact{
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 20px;
    }
    #leftInfor { 
        padding : 90px 0px 0px 100px ; 
    }
    #pageContent.contact #rightFrm {
        margin-top: 30px; 
        width:80%; 
    }
    #leftInfo {
        width:90%;
        padding-left:12%; 
    }
    #pageContent.detailNews #rightText {
        text-align:justify; 
        padding-right:40px; 
        padding-left:40px; 
    }
   
}



@media only screen and (min-width: 1200px){
    #pageContent.galleries ul{
        grid-template-columns: repeat(3, 1fr);
    }
    #pageContent.bio #leftCol {
        margin: 30px 0px 30px 70px;
     }
    #pageContent.bio #rightCol #bio {
        margin: 30px 70px 30px 0px;
    }
    #pageContent.bio #rightCol #cv {
        margin: 30px 70px 30px 0px;
    }
    #leftInfo {
        width:80%;
        padding-left:22%; 
    }
}

